class ojdk7(
  $jAVA_HOME            = 'UNSET',
  $sourcePath           = 'puppet://master.sapient.com/modules/ojdk7',
  $user                 = 'puppet',
  $group                = 'puppet',
  $type                 = 'x64'
){
  user { "${user}" :
      ensure    =>  present
      }
  group { "${group}" :
      ensure    =>  present
      }

  case $::osfamily{
    'RedHat': {
      $installExtension   = 'rpm'
      $installerLocation  = "/opt/jdk-7u71-linux-${type}.${installExtension}"
      file { "${installerLocation}" :
        source  =>  "${sourcePath}/jdk-7u71-linux-${type}.${installExtension}",
        ensure  =>  "present",
        replace =>  false,
        mode    =>  '0755',
        owner   =>  $user
      }
      
    }
    'CentOS': {
      $installExtension = 'rpm'
      $installerLocation  = "/opt/jdk-7u71-linux-${type}.${installExtension}"
      file { "${installerLocation}" :
        source  =>  "${sourcePath}/jdk-7u71-linux-${type}.${installExtension}",
        ensure  =>  "present",
        replace =>  false,
        mode    =>  '0755',
        owner   =>  $user    
      }
      
      
    }
    'OracleLinux':{
      $installExtension = 'rpm'
      $installerLocation  = "/opt/jdk-7u71-linux-${type}.${installExtension}"
      file { "${installerLocation}" :
        source  =>  "${sourcePath}/jdk-7u71-linux-${type}.${installExtension}",
        ensure  =>  "present",
        replace =>  false,
        mode    =>  '0755',
        owner   =>  $user
      }
      
     
    }
    'debian':{
      $installExtension = 'tar.gz'
      $installerLocation  = "/opt/jdk-7u71-linux-${type}.${installExtension}"     
      file { "${installerLocation}" :
        source  =>  "${sourcePath}/jdk-7u71-linux-${type}.${installExtension}",
        ensure  =>  "present",
        replace =>  false,
        mode    =>  '0755',
        owner   =>  $user
        }      
    }
    'windows':{
      
      $installExtension   = 'exe'
      $installerLocation  = "C:/Users/puppet/jdk-7u71-windows-${type}.${installExtension}"
      
      file { "${installerLocation}" :
        source  =>  "${sourcePath}/jdk-7u71-windows-${type}.${installExtension}",
        ensure  =>  "present",
        replace =>  false,
        owner   =>  $user
        }
      
    }
    'default':{
      fail("Unrecognized operating system ${::kernel}, please use it on a debian/redhat/oraclelinux/windows 64bit host")
    }
  }
  class { "ojdk7::install": }
}